=== debian/changelog ===
ros-kinetic-message-to-tf (0.3.0-0xenial) xenial; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Mon, 27 Jun 2016 00:00:00 -0000

ros-kinetic-message-to-tf (0.2.2-0xenial) xenial; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 24 Jun 2016 00:00:00 -0000

ros-kinetic-message-to-tf (0.2.1-0xenial) xenial; urgency=high

  * Update error message
  * Add TransformStamped as an input type
  * Contributors: Paul Bovbel

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sun, 08 Nov 2015 00:00:00 -0000

ros-kinetic-message-to-tf (0.2.0-0xenial) xenial; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sun, 22 Feb 2015 00:00:00 -0000

ros-kinetic-message-to-tf (0.1.5-0xenial) xenial; urgency=high

  * get subscribed topic from the command line
  * initialize origin when publishing imu transform and fixed imu pose output (fix #6)
  * Contributors: Johannes Meyer

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 02 Oct 2014 00:00:00 -0000

ros-kinetic-message-to-tf (0.1.4-0xenial) xenial; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 28 Aug 2014 00:00:00 -0000

ros-kinetic-message-to-tf (0.1.3-0xenial) xenial; urgency=high

  * message_to_tf: fixed base_link transform publishing (was removed in 77f2cc2334d15fc0e9395ceb9b40cd4601448289)
  * Contributors: Johannes Meyer

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Wed, 09 Jul 2014 00:00:00 -0000

ros-kinetic-message-to-tf (0.1.2-0xenial) xenial; urgency=high

  * Add parameter for optionally not publishing roll/pitch to tf
  * Don´t publish roll/pitch (to be parametrized soon)
  * Contributors: Stefan Kohlbrecher, hector1

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Mon, 02 Jun 2014 00:00:00 -0000

ros-kinetic-message-to-tf (0.1.1-0xenial) xenial; urgency=high

  * added missing dependency to roscpp
  * Contributors: Johannes Meyer

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sun, 30 Mar 2014 00:00:00 -0000

ros-kinetic-message-to-tf (0.1.0-0xenial) xenial; urgency=high

  * catkinized stack hector_localization
  * readded tf_prefix support (deprecated feature in ROS hydro beta)
  * added ShapeShifter subscriber which accepts multiple message types
  * added euler angle publisher (Vector3Stamped)

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Tue, 03 Sep 2013 00:00:00 -0000
